Skip to main content
GET
/
tasks
/
{uuid}
/
details
Get task details
curl --request GET \
  --url https://staging.hdp.api.herodotus.cloud/tasks/{uuid}/details
{
  "destinationChainId": "0xaa36a7",
  "mmrs": [
    {
      "chain_id": "0xaa37dc",
      "hashing_function": "poseidon",
      "id": "0x30314b345136303433515133424b4d42324e31394d4443595757",
      "root": "0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e",
      "size": "0x2644"
    },
    {
      "chain_id": "0xaa36a7",
      "hashing_function": "keccak",
      "id": "0x30314a4d484d31413242354d38455336505a57524a505354374d",
      "root": "0x8df74acdc8c1fc184081e4a2ec4ccca78c03a541b8eb37ccfb5d11f205555666",
      "size": "0x0a813"
    }
  ],
  "outputTreeRoot": "0xc103b036a12f8f9307b062b11181a726109640f2deb15a8d29ee5bb754a2943a",
  "programHash": "0x34a16478e83f69c4f0bcdb7549d32f92c9b7776bb3f71da06de334f1871eba0",
  "taskHash": "0x56839c1e7f817be047794dbdc727585f89bb92c8c305fd8df0fbcc19602339ac",
  "taskId": "01J3Z3K2P4W6M8Q0A1B2C3D4E5"
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

uuid
string
required

The unique identifier (UUID) of the task

Response

Task details retrieved successfully

destinationChainId
string
required
mmrs
object[]
required
programHash
string
required
taskId
string
required
outputTreeRoot
string | null
taskHash
string | null